export { InitializationStateTransformer, attachPart, default, isEditorPartVisible, onPartVisibilityChange, renderActivitybarPar, renderAuxiliaryPart, renderEditorPart, renderPanelPart, renderPart, renderSidebarPart, renderStatusBarPart } from './views.js';
export { SidebarPart } from './vscode/src/vs/workbench/browser/parts/sidebar/sidebarPart.js';
export { ActivityService } from 'vscode/vscode/vs/workbench/services/activity/browser/activityService';
export { ActivitybarPart } from './vscode/src/vs/workbench/browser/parts/activitybar/activitybarPart.js';
export { IReference } from 'vscode/vscode/vs/base/common/lifecycle';
export { PanelPart } from './vscode/src/vs/workbench/browser/parts/panel/panelPart.js';
export { GroupOrientation } from 'vscode/vscode/vs/workbench/services/editor/common/editorGroupsService';
export { IEditorOptions } from 'vscode/vscode/vs/platform/editor/common/editor';
export { IResolvedTextEditorModel } from 'vscode/vscode/vs/editor/common/services/resolverService';
export { Parts, Position } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService';
export { HoverService } from 'vscode/vscode/vs/editor/browser/services/hoverService/hoverService';
export { DomScrollableElement } from 'vscode/vscode/vs/base/browser/ui/scrollbar/scrollableElement';
export { IView, SplitView } from 'vscode/vscode/vs/base/browser/ui/splitview/splitview';
export { CustomViewOption, EditorPane, SimpleEditorInput, SimpleEditorPane, getPanelPosition, getSideBarPosition, isPartVisibile, onDidChangePanelPosition, onDidChangeSideBarPosition, registerCustomView, registerEditor, registerEditorPane, registerEditorSerializer, setPartVisibility, viewContainerRegistry, viewRegistry } from './tools/views.js';
export { IViewContainerDescriptor, IViewDescriptor, ViewContainer, ViewContainerLocation } from 'vscode/vscode/vs/workbench/common/views';
export { ViewPaneContainer } from 'vscode/vscode/vs/workbench/browser/parts/views/viewPaneContainer';
export { EditorInput, IEditorCloseHandler } from 'vscode/vscode/vs/workbench/common/editor/editorInput';
export { ConfirmResult } from 'vscode/vscode/vs/platform/dialogs/common/dialogs';
export { EditorInputFactoryObject, RegisteredEditorInfo, RegisteredEditorOptions, RegisteredEditorPriority } from 'vscode/vscode/vs/workbench/services/editor/common/editorResolverService';
export { AbstractResourceEditorInput } from 'vscode/vscode/vs/workbench/common/editor/resourceEditorInput';
export { AbstractTextResourceEditorInput } from 'vscode/vscode/vs/workbench/common/editor/textResourceEditorInput';
export { EditorInputCapabilities, IEditorSerializer } from 'vscode/vscode/vs/workbench/common/editor';
export { ILayoutInitializationState } from 'vscode/vscode/vs/workbench/browser/layout';
export { OpenEditor } from './tools/editor.js';
