import { IEditorOptions } from 'vscode/vscode/vs/platform/editor/common/editor';
import { ICodeEditor } from 'vscode/vscode/vs/editor/browser/editorBrowser';
import { IReference } from 'vscode/vscode/vs/base/common/lifecycle';
import { IResolvedTextEditorModel } from 'vscode/vscode/vs/editor/common/services/resolverService';

type OpenEditor = (modelRef: IReference<IResolvedTextEditorModel>, options: IEditorOptions | undefined, sideBySide?: boolean) => Promise<ICodeEditor | undefined>;

export type { OpenEditor };
