import { HoverPosition } from 'vscode/vscode/vs/base/browser/ui/hover/hoverWidget';
import { Color } from 'vscode/vscode/vs/base/common/color';

interface ICompositeBarColors {
    readonly activeBackgroundColor?: Color;
    readonly inactiveBackgroundColor?: Color;
    readonly activeBorderColor?: Color;
    readonly activeBackground?: Color;
    readonly activeBorderBottomColor?: Color;
    readonly activeForegroundColor?: Color;
    readonly inactiveForegroundColor?: Color;
    readonly badgeBackground?: Color;
    readonly badgeForeground?: Color;
    readonly dragAndDropBorder?: Color;
}
interface IActivityHoverOptions {
    readonly position: () => HoverPosition;
}

export type { IActivityHoverOptions, ICompositeBarColors };
